Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl
Class AclProviderManager

    java.lang.Object
      org.acegisecurity.acl.AclProviderManager

All Implemented Interfaces:
  AclManager, InitializingBean

    public class AclProviderManager

extends Object
implements AclManager, InitializingBean

Iterates through a list of `AclProvider`s to locate the ACLs that apply to a given domain object instance.

If no compatible provider is found, it is assumed that no ACLs apply for the specified domain object instance and `null` is returned.

Version:
  $Id: AclProviderManager.java,v 1.4 2005/11/17 00:55:51 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`AclProviderManager()`

Method Summary
`void` | `afterPropertiesSet()`
`AclEntry[]` | `getAcls(Object domainInstance)` Obtains the ACLs that apply to the specified domain instance.
`AclEntry[]` | `getAcls(Object domainInstance, Authentication authentication)` Obtains the ACLs that apply to the specified domain instance, but only including those ACLs which have been granted to the presented `Authentication` object
`List` | `getProviders()`
`void` | `setProviders(List newList)` Sets the `AclProvider` objects to be used for ACL determinations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AclProviderManager

    public AclProviderManager()

Method Detail

### getAcls

    public AclEntry[] getAcls(Object domainInstance)

  Description copied from interface: `AclManager`
  Obtains the ACLs that apply to the specified domain instance.

  Specified by:
    `getAcls` in interface `AclManager`
  Parameters:
    `domainInstance` - the instance for which ACL information is required (never `null`)
  Returns:
    the ACLs that apply, or `null` if no ACLs apply to the specified domain instance

### getAcls

    public AclEntry[] getAcls(Object domainInstance,
                              Authentication authentication)

  Description copied from interface: `AclManager`
  Obtains the ACLs that apply to the specified domain instance, but only including those ACLs which have been granted to the presented `Authentication` object

  Specified by:
    `getAcls` in interface `AclManager`
  Parameters:
    `domainInstance` - the instance for which ACL information is required (never `null`)
    `authentication` - the prncipal for which ACL information should be filtered (never `null`)
  Returns:
    only those ACLs applying to the domain instance that have been granted to the principal (or `null`) if no such ACLs are found

### setProviders

    public void setProviders(List newList)

  Sets the `AclProvider` objects to be used for ACL determinations.

  Parameters:
    `newList` - that should be used for ACL determinations
  Throws:
    `IllegalArgumentException` - if an invalid provider was included in the list

### getProviders

    public List getProviders()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.